Page MenuHomePhabricator

Watchstar overlay broken with keyboard up on mobile
Closed, ResolvedPublic

Description

When clicking the watchstar to add to a collection on mobile if you try to create a new collection when focusing the input the keyboard will come up and make the overlay unusable.

Besides not being able to scroll right now, the design suffers by having the whole overlay in such a small box.

Event Timeline

Jhernandez raised the priority of this task from to High.
Jhernandez updated the task description. (Show Details)
Jhernandez added a project: Gather Sprint C_.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2015, 11:01 AM
Jdlrobson set Security to None.
rmoen moved this task from Ready for dev to In development on the Gather Sprint C_ board.
rmoen added a comment.EditedMar 10 2015, 9:28 PM

Current overlay in iphone 4s. Content area is miserably small.

As previously said, we need to get the inputs on one line.
Also, this will only get smaller when we have the text extract next to the page image.

I think we have two options here:

Changing this to full screen overlay, or a fullscreen overlay for smaller devices. I think the most simple fix would be to just change the type for all devices. With the intention of making it optional later for larger screens.

@rmoen looks like it might be sufficient just do the following:

  • add to events map 'focus input': onFocusInput,
  • Create onFocusInput which does the following:
    • Scroll the input into view after the latest scrolling change.
    • Set top and bottom of overlay to 5px (so gutter is smaller)

Want to try that out?

Jdlrobson removed rmoen as the assignee of this task.Mar 11 2015, 6:47 AM
Jdlrobson added a subscriber: rmoen.
Jdlrobson moved this task from Ready for dev to Blocked on the Gather Sprint C_ board.

Change 196404 had a related patch set uploaded (by Jdlrobson):
Tweaks for watchlist overlay lit creation when keyboard is open

https://gerrit.wikimedia.org/r/196404

Change 196404 merged by jenkins-bot:
Tweaks for watchlist overlay lit creation when keyboard is open

https://gerrit.wikimedia.org/r/196404

Jdlrobson closed this task as Resolved.Mar 12 2015, 11:49 PM
Jdlrobson moved this task from Code review needed to Ready for signoff on the Gather Sprint C_ board.
JKatzWMF moved this task from Needs triage to In sprint on the Gather board.Apr 13 2015, 5:19 PM